[Bug 2038560] [NEW] s390-tools: update-crate.sh is buggy
Simon Chopin
2038560 at bugs.launchpad.net
Thu Oct 5 17:15:20 UTC 2023
Public bug reported:
When trying to use debian/update-crate.sh to check that the vendor
checking code actually works, said script failed when trying to deal
with the patches.
This should be fixed in the next upload to devel, and could also
probably be lumped into a bigger SRU in mantic.
The following changes fix it nicely:
diff -Nru s390-tools-2.29.0/debian/update-crate.sh s390-tools-2.29.0/debian/update-crate.sh
--- s390-tools-2.29.0/debian/update-crate.sh 2023-09-20 09:21:48.000000000 +0000
+++ s390-tools-2.29.0/debian/update-crate.sh 2023-10-05 09:21:48.000000000 +0000
@@ -1,6 +1,6 @@
#!/bin/sh
-set -e
+set -ex
newpackage=$1
newversion=$2
@@ -8,11 +8,14 @@
export QUILT_PATCHES=debian/patches
# Pop vendor-remove-unused-deps.patch
-quilt pop vendor-remove-unused-deps.patch
+if quilt unapplied | grep -q vendor-remove-unused-deps.patch; then
+ quilt push -a
+ quilt pop debian/patches/vendor-remove-unused-deps.patch
+fi
quilt pop
# Prepare a new patch
-quilt new update-$newpackage-$newversion.patch
+quilt new debian/patches/update-$newpackage-$newversion.patch
# Update the dependency in the lockfile
quilt shell cargo update -p $newpackage --precise $newversion --manifest-path rust/pvsecret/Cargo.toml
** Affects: s390-tools (Ubuntu)
Importance: Low
Status: Triaged
--
You received this bug notification because you are a member of Ubuntu
Foundations Bugs, which is subscribed to s390-tools in Ubuntu.
https://bugs.launchpad.net/bugs/2038560
Title:
s390-tools: update-crate.sh is buggy
Status in s390-tools package in Ubuntu:
Triaged
Bug description:
When trying to use debian/update-crate.sh to check that the vendor
checking code actually works, said script failed when trying to deal
with the patches.
This should be fixed in the next upload to devel, and could also
probably be lumped into a bigger SRU in mantic.
The following changes fix it nicely:
diff -Nru s390-tools-2.29.0/debian/update-crate.sh s390-tools-2.29.0/debian/update-crate.sh
--- s390-tools-2.29.0/debian/update-crate.sh 2023-09-20 09:21:48.000000000 +0000
+++ s390-tools-2.29.0/debian/update-crate.sh 2023-10-05 09:21:48.000000000 +0000
@@ -1,6 +1,6 @@
#!/bin/sh
-set -e
+set -ex
newpackage=$1
newversion=$2
@@ -8,11 +8,14 @@
export QUILT_PATCHES=debian/patches
# Pop vendor-remove-unused-deps.patch
-quilt pop vendor-remove-unused-deps.patch
+if quilt unapplied | grep -q vendor-remove-unused-deps.patch; then
+ quilt push -a
+ quilt pop debian/patches/vendor-remove-unused-deps.patch
+fi
quilt pop
# Prepare a new patch
-quilt new update-$newpackage-$newversion.patch
+quilt new debian/patches/update-$newpackage-$newversion.patch
# Update the dependency in the lockfile
quilt shell cargo update -p $newpackage --precise $newversion --manifest-path rust/pvsecret/Cargo.toml
To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/s390-tools/+bug/2038560/+subscriptions
More information about the foundations-bugs
mailing list